public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dbusmock/
Date: Thu, 25 Mar 2021 08:02:09 +0000 (UTC)	[thread overview]
Message-ID: <1616659324.58ac6c33dc81851eb99f5cd7c46ac4d9602d0140.mgorny@gentoo> (raw)

commit:     58ac6c33dc81851eb99f5cd7c46ac4d9602d0140
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 25 07:49:27 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 25 08:02:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58ac6c33

dev-python/dbusmock: Bump to 0.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dbusmock/Manifest               |  1 +
 dev-python/dbusmock/dbusmock-0.23.0.ebuild | 36 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/dbusmock/Manifest b/dev-python/dbusmock/Manifest
index 15401a2ea53..a9f8cad4ab5 100644
--- a/dev-python/dbusmock/Manifest
+++ b/dev-python/dbusmock/Manifest
@@ -1 +1,2 @@
 DIST python-dbusmock-0.22.0.tar.gz 68626 BLAKE2B 51b897ad95bc547afe6cd59abed243dcaecd3c6ce8c47825f3a2eeaf7364c5aba04d23247c876f748b071f30753a86da954493bc63f0ae503085974e7e769658 SHA512 2c3430f4178a16acc376ce582f4a1a9bbe8b917efcd7eee58dab85ee3addf60ba355ae9e7b318ec2cdf7ca771183c37d16520a1e5bcab8414c66e2d2a36d26fe
+DIST python-dbusmock-0.23.0.tar.gz 79928 BLAKE2B a004bbc93cd4dd3ab5919e28bde18e7b015546e43b789826010ccfd2000075babf933bc53b72bc4369458ac6c37845b534b0e36e594afc4bfd298d9ac37495c7 SHA512 b464c376b1489bc2a9967d08fd1e4e8943e372f46eef46d1cebf316f4afd1f2bf55d02abc3b82b7052c685fe1ff9ba22734a58aa75945706a26ae9d71e5d807e

diff --git a/dev-python/dbusmock/dbusmock-0.23.0.ebuild b/dev-python/dbusmock/dbusmock-0.23.0.ebuild
new file mode 100644
index 00000000000..f2d09692c7e
--- /dev/null
+++ b/dev-python/dbusmock/dbusmock-0.23.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+MY_PN="python-${PN}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Easily create mock objects on D-Bus for software testing"
+HOMEPAGE="https://github.com/martinpitt/python-dbusmock"
+SRC_URI="https://github.com/martinpitt/${MY_PN}/releases/download/${PV}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/dbus-python[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	# needed for unittest discovery
+	> tests/__init__.py || die
+	# linter tests, fragile to newer linter versions
+	rm tests/test_code.py || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2021-03-25  8:02 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-25  8:02 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-07-24 17:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/dbusmock/ Sam James
2021-07-11 20:48 Sam James
2021-07-11  2:31 Sam James
2021-07-06 21:30 Sergei Trofimovich
2021-06-15  8:36 Michał Górny
2021-04-27 18:21 Michał Górny
2021-02-19  8:35 Michał Górny
2021-02-19  2:54 Sam James
2021-02-18 22:08 Sam James
2021-02-08  6:11 Sam James
2021-01-18 16:29 Sam James
2021-01-18 12:01 Michał Górny
2021-01-18 12:01 Michał Górny
2021-01-02 16:55 Michał Górny
2021-01-02  9:29 Michał Górny
2020-12-19 22:17 Michał Górny
2020-09-18 14:41 Michał Górny
2020-09-11 16:57 Sergei Trofimovich
2020-08-30 18:28 Sam James
2020-07-15 18:41 Michał Górny
2020-07-15 15:22 Michał Górny
2020-06-07 21:28 Mart Raudsepp
2020-05-13 17:35 Sergei Trofimovich
2020-04-01 17:13 Sergei Trofimovich
2020-02-08 20:17 Matt Turner
2020-02-04 19:47 Michał Górny
2019-12-01 16:39 Mart Raudsepp
2019-10-09  8:27 Agostino Sarubbo
2019-05-29  0:32 Aaron Bauman
2018-09-14  8:28 Tobias Klausmann
2018-03-18  0:12 Matt Turner
2018-01-18  2:19 Mikle Kolyada
2017-12-17 20:19 Sergei Trofimovich
2017-09-12  8:11 Sergei Trofimovich
2017-09-12  8:11 Sergei Trofimovich
2017-08-29  8:13 Alexis Ballier
2017-08-28 20:44 Alexis Ballier
2017-08-08 20:58 Sergei Trofimovich
2017-07-01 11:20 Sergei Trofimovich
2017-06-03 16:15 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616659324.58ac6c33dc81851eb99f5cd7c46ac4d9602d0140.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox